package de.fraunhofer.iem.dataprovider.repository.dto

import de.fraunhofer.iem.dataprovider.gitlab.enumeration.PlatformEnum
import de.fraunhofer.iem.dataprovider.repository.entity.RepositoryEntity

data class RepositoryCreateDto(val name: String, val uri: String, val id: Long, val platform: PlatformEnum) {
    fun toDbObject(): RepositoryEntity {
        val repo = RepositoryEntity()
        repo.name = this.name
        repo.repoId = this.id
        repo.platform = this.platform
        repo.url = this.uri
        return repo
    }
}