package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.qodana.json


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class PropertiesX(
    @SerialName("configProfile")
    val configProfile: String?,
    @SerialName("deviceId")
    val deviceId: String?,
    @SerialName("qodana.promo.results")
    val qodanaPromoResults: List<QodanaPromoResult>? = listOf()
)