package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.qodana.json


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class QodanaPromoResult(
    @SerialName("kind")
    val kind: String?,
    @SerialName("level")
    val level: String?,
    @SerialName("locations")
    val locations: List<Location>?,
    @SerialName("message")
    val message: MessageX?,
    @SerialName("partialFingerprints")
    val partialFingerprints: PartialFingerprints?,
    @SerialName("properties")
    val properties: PropertiesXX?,
    @SerialName("ruleId")
    val ruleId: String?
)