package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.sarif.json

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class SarifRegionJson(
    @SerialName("endColumn")
    val endColumn: Int? = -1,
    @SerialName("endLine")
    val endLine: Int? = -1,
    @SerialName("startColumn")
    val startColumn: Int,
    @SerialName("startLine")
    val startLine: Int
)