package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.ort.json

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class AnalyzerResultJson(
    @SerialName("packages")
    val packages: Array<PackageJson>
) {
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false

        other as AnalyzerResultJson

        return packages.contentEquals(other.packages)
    }

    override fun hashCode(): Int {
        return packages.contentHashCode()
    }
}
